# Update

Launch stage: GA

`POST /api/2.0/instance-profiles/edit`

The only supported field to change is the optional IAM role ARN associated with
 the instance profile. It is required to specify the IAM role ARN if both of
 the following are true:

  * Your role name and instance profile name do not match. The name is the part
    after the last slash in each ARN.
  * You want to use the instance profile with [Databricks SQL Serverless](https://docs.databricks.com/sql/admin/serverless.html).

 To understand where these fields are in the AWS console, see
 [Enable serverless SQL warehouses](https://docs.databricks.com/sql/admin/serverless.html).

 This API is only available to admin users.

API scopes: instance-profiles

## Request body

- `instance_profile_arn` (string, optional)
  The AWS ARN of the instance profile to register with <Databricks>. This field is required.
  Example: `arn:aws:iam::<account-id>:instance-profile/<name>`
- `is_meta_instance_profile` (boolean, optional)
  Boolean flag indicating whether the instance profile should only be used in credential
    passthrough scenarios. If true, it means the instance profile contains an meta IAM role
    which could assume a wide range of roles. Therefore it should always be used with
    authorization.
    This field is optional, the default value is `false`.
  Default: `false`
- `iam_role_arn` (string, optional)
  The AWS IAM role ARN of the role associated with the instance profile.
   This field is required if your role name and instance profile name do
   not match and you want to use the instance profile with
   [Databricks SQL Serverless](https://docs.databricks.com/sql/admin/serverless.html).
  
   Otherwise, this field is optional.
  Example: `arn:aws:iam::<account-id>:role/<name>`

## Response

```json
{}
```

